CentOS-7 (1708) 发布,安全稳定的 Linux 发行版

2017年09月14日 14:12 4239 次阅读 来源: 素文宅 作者: 路人甲
摘要 CentOS Linux发行版是源自Red Hat Enterprise Linux(RHEL)的源码的稳定,可预测,可管理和可重复的平台。CentOS Linux 7的一般可用性(1708)适用于64位x86兼容机,此版本取代了以前为CentOS发布的所有内容Linux 7,因此官方强烈建议所有用户升级操作系统版本。主要更新内容:1)自从版本1503(abrt = 2.1.11-19.el7.c...

CentOS Linux发行版是源自Red Hat Enterprise Linux(RHEL)的源码的稳定,可预测,可管理和可重复的平台。CentOS Linux 7的一般可用性(1708)适用于64位x86兼容机,此版本取代了以前为CentOS发布的所有内容Linux 7,因此官方强烈建议所有用户升级操作系统版本。


@TSI@[9WW96}D2JXSAAF1PV.png


主要更新内容:

1)自从版本1503(abrt> = 2.1.11-19.el7.centos.0.1)以来,CentOS-7可以直接向bugs.centos.org报告错误。

2)各种新软件包其中包括:python-gssapi,python-netifaces,mod_auth_openidc,pidgin和Qt5。

3)SSH1支持已从SSH服务器中删除。因此所有被认为是不安全的加密协议和算法已被废弃。

4)OpenSSL支持DTLS(通过UDP的TLS)和ALPN。

5)NVM-Express内核驱动程序支持NVMe Over Fabric。

6)各种包装的加密能力都有改变与增强。如:sendmail支持ECDHE,OpenSSH使用SHA2进行公共密钥签名...等等。

7)各种包装已经重新设计。其中一些有openLDAP,samba,clufter,ipmitool,tcpdump,shim,GNOME,NetworkManager,Kernel-GRE模块,openssh,openSSL,libreswan,chrony,rsyslog,sudo和libvirt。


注意由于这些改变,某些第三方存储库(如EPEL,nux等)可能没有重新构建所有软件包。这可能导致无法更新到新版本,直到这些存储库修复其依赖关系。可以使用第三方存储库来解决此问题,或从第三方存储库中删除问题包,以完成此版本的更新。如virt(xen / ovirt),storage(ceph / glusterfs),paas(openshift-origin)和cloud(RDO)等也是如此。需要等待升级,直到SIG可以针对7(1708)版本构建新的软件包。


8)ca证书和nss现在符合最新Mozilla Firefox ESR发布的建议。

9)Amazon ENA驱动程序已添加到内核。有关ENA的更多信息,请访问此页面。

10)更新存储,网络和图形驱动程序。

11)技术预演:其中包括可协助和系统角色,OverlayFS,Btrfs,CephFS内核客户端,Cisco VIC和usNIC内核驱动程序的支持,使用KVM嵌套虚拟化和使用rpm构建的多线程xz压缩。


注意:

安装和使用CentOS-7(1708)至少需要1024 MB RAM。当使用Live ISO进行安装时,1024 MB RAM会产生非常慢的结果,甚至一些安装失败。建议使用LiveGNOME或LiveKDE安装至少1344 MB RAM。


了解更多相关内容:https://wiki.centos.org/Manuals/ReleaseNotes/CentOS7

还可以输入136 讨论区:
评 论
  • 艾琳
  • Jerry
  • 便于记忆
  • 假诗人
  • 卐追求卓绝卍
    • 路人甲